Texa Desk Application API · Reports
Get conversation statistics grouped by team
GET/
Get conversation statistics grouped by team for a given date range. Returns metrics for each team including conversation counts, resolution counts, average first response time, average resolution time, and average reply time.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
sincestringThe timestamp from where report should start (Unix timestamp).
untilstringThe timestamp from where report should stop (Unix timestamp).
business_hoursbooleanWhether to calculate metrics using business hours only.
Responses
200Success
idnumberThe team ID
conversations_countnumberNumber of conversations assigned to the team during the date range
resolved_conversations_countnumberNumber of conversations resolved by the team during the date range
avg_resolution_timenumberAverage time (in seconds) to resolve conversations. Null if no data available.
avg_first_response_timenumberAverage time (in seconds) for the first response. Null if no data available.
avg_reply_timenumberAverage time (in seconds) between replies. Null if no data available.
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring